Package org.apache.maven.scm.provider.git.gitexe.command.untag

## Class GitUntagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.untag.AbstractUntagCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.untag.GitUntagCommand

All Implemented Interfaces:
  `Command`, `GitCommand`

    public class GitUntagCommand
    extends AbstractUntagCommand
    implements GitCommand

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`GitUntagCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(GitScmProviderRepository repository, java.io.File workingDirectory, java.lang.String tag)`
`static org.codehaus.plexus.util.cli.Commandline` `createPushCommandLine​(GitScmProviderRepository repository, ScmFileSet fileSet, java.lang.String tag)`
`ScmResult` `executeUntagCommand​(ScmProviderRepository repo, ScmFileSet fileSet, ScmUntagParameters scmUntagParameters)` execute untag command

### Methods inherited from class org.apache.maven.scm.command.untag.AbstractUntagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### GitUntagCommand

    public GitUntagCommand()

### Method Detail

#### executeUntagCommand

    public ScmResult executeUntagCommand​(ScmProviderRepository repo,
                                         ScmFileSet fileSet,
                                         ScmUntagParameters scmUntagParameters)
                                  throws ScmException

execute untag command

Specified by:
  `executeUntagCommand` in class `AbstractUntagCommand`
Parameters:
  `repo` - scm repo
  `fileSet` - set of files (unused)
  `scmUntagParameters` - parameters used by untag implementations
Returns:
  result of untag command
Throws:
  `ScmException` - in case of error

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine​(GitScmProviderRepository repository,
                                                                             java.io.File workingDirectory,
                                                                             java.lang.String tag)

#### createPushCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createPushCommandLine​(GitScmProviderRepository repository,
                                                                                 ScmFileSet fileSet,
                                                                                 java.lang.String tag)